Signed Syslog Messages
RFC 5848

Revision differences

Document history

Date Rev. By Action
2015-10-14
29 (System) Notify list changed from clonvick@cisco.com, ietfdbh@comcast.net, alex@cisco.com to (None)
2012-08-22
29 (System) post-migration administrative database adjustment to the No Objection position for Cullen Jennings
2012-08-22
29 (System) post-migration administrative database adjustment to the No Objection position for Robert Sparks
2012-08-22
29 (System) post-migration administrative database adjustment to the No Objection position for Tim Polk
2012-08-22
29 (System) post-migration administrative database adjustment to the No Objection position for Dan Romascanu
2012-08-22
29 (System) post-migration administrative database adjustment to the No Objection position for Lars Eggert
2010-05-12
29 Cindy Morgan State Changes to RFC Published from RFC Ed Queue by Cindy Morgan
2010-05-12
29 Cindy Morgan [Note]: 'RFC 5848' added by Cindy Morgan
2010-05-11
29 (System) RFC published
2010-04-30
29 Sean Turner Responsible AD has been changed to Pasi Eronen from Sean Turner
2010-04-30
29 Sean Turner Note field has been cleared by Sean Turner
2010-04-30
29 Sean Turner Responsible AD has been changed to Sean Turner from Pasi Eronen
2010-02-02
29 (System) IANA Action state changed to RFC-Ed-Ack from Waiting on RFC Editor
2010-02-02
29 (System) IANA Action state changed to Waiting on RFC Editor from In Progress
2010-02-01
29 (System) IANA Action state changed to In Progress from Waiting on Authors
2010-01-28
29 (System) IANA Action state changed to Waiting on Authors from In Progress
2010-01-28
29 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2010-01-28
29 (System) IANA Action state changed to In Progress
2010-01-28
29 Amy Vezza IESG state changed to Approved-announcement sent
2010-01-28
29 Amy Vezza IESG has approved the document
2010-01-28
29 Amy Vezza Closed "Approve" ballot
2010-01-28
29 Amy Vezza State Changes to Approved-announcement to be sent from IESG Evaluation::AD Followup by Amy Vezza
2010-01-27
29 Alexey Melnikov [Ballot Position Update] Position for Alexey Melnikov has been changed to No Objection from Discuss by Alexey Melnikov
2010-01-27
29 Alexey Melnikov
[Ballot comment]
My first point was a part of the DISCUSS. I am clearing in anticipation of an RFC Editor note. I've moved it here ...
2010-01-27
29 Alexey Melnikov [Ballot discuss]
2010-01-22
29 Cullen Jennings [Ballot Position Update] Position for Cullen Jennings has been changed to No Objection from Discuss by Cullen Jennings
2010-01-12
29 Tim Polk [Ballot Position Update] Position for Tim Polk has been changed to No Objection from Undefined by Tim Polk
2010-01-12
29 Tim Polk [Ballot Position Update] Position for Tim Polk has been changed to Undefined from Discuss by Tim Polk
2009-12-10
29 Lars Eggert [Ballot Position Update] Position for Lars Eggert has been changed to No Objection from Discuss by Lars Eggert
2009-12-08
29 Dan Romascanu [Ballot Position Update] Position for Dan Romascanu has been changed to No Objection from Discuss by Dan Romascanu
2009-12-02
29 Alexey Melnikov
[Ballot comment]
5.3.2.9.  Example

  <110>1 2009-05-03T14:00:39.519307+02:00 host.example.org syslogd
  2138 - [ssign-cert VER="0111" RSID="1" SG="0" SPRI="0" TPBL="587"
  INDEX="1" FLEN="587" FRAG="2009-05-03T14:00:39.519005+02:00 K BACsLMZ
  ...
2009-12-02
29 Alexey Melnikov
[Ballot discuss]
Updated as per -29:

There is one point which is not entirely clear to me. So I would like to discuss it before ...
2009-12-01
29 Robert Sparks [Ballot Position Update] Position for Robert Sparks has been changed to No Objection from Discuss by Robert Sparks
2009-12-01
29 (System) Sub state has been changed to AD Follow up from New Id Needed
2009-12-01
29 (System) New version available: draft-ietf-syslog-sign-29.txt
2009-11-19
29 Cindy Morgan State Changes to IESG Evaluation::Revised ID Needed from IESG Evaluation by Cindy Morgan
2009-11-18
29 Ross Callon [Ballot Position Update] New position, No Objection, has been recorded by Ross Callon
2009-11-16
29 Amy Vezza State Changes to IESG Evaluation from IESG Evaluation - Defer by Amy Vezza
2009-10-27
29 Cullen Jennings
[Ballot comment]
This draft is very hard to understand. I think it needs some high level box and arrows level description of how it works ...
2009-10-27
29 Cullen Jennings
[Ballot discuss]
I can't find a reference to how one computes the non PGP signatures.

I don't believe that two implementations compliant with this spec ...
2009-10-27
29 Cullen Jennings [Ballot Position Update] New position, Discuss, has been recorded by Cullen Jennings
2009-10-23
29 (System) Removed from agenda for telechat - 2009-10-22
2009-10-22
29 Samuel Weiler Request for Telechat review by SECDIR Completed. Reviewer: Tina Tsou.
2009-10-22
29 Cullen Jennings State Changes to IESG Evaluation - Defer from IESG Evaluation by Cullen Jennings
2009-10-22
29 Lisa Dusseault [Ballot Position Update] New position, No Objection, has been recorded by Lisa Dusseault
2009-10-22
29 Tim Polk
[Ballot comment]
Section 8.5 states:  "... a reviewer can pinpoint any messages sent by the originator but not
received by reviewing the signature block information."  ...
2009-10-22
29 Tim Polk
[Ballot discuss]
Section 5.2.1 list item b includes the key blob type 'K' -- a bare public key.

Section 5.2.2 specifies two methods for X.509 ...
2009-10-22
29 Tim Polk [Ballot Position Update] New position, Discuss, has been recorded by Tim Polk
2009-10-22
29 Jari Arkko
[Ballot comment]
I tried to search the document for an explanation of what the
reassembly algorithm is for fragmentation, but found very little material.
On ...
2009-10-22
29 Jari Arkko [Ballot Position Update] New position, No Objection, has been recorded by Jari Arkko
2009-10-22
29 Magnus Westerlund [Ballot Position Update] New position, No Objection, has been recorded by Magnus Westerlund
2009-10-21
29 Robert Sparks
[Ballot discuss]
The document claims to provide a mechanism to allow the detection of missing messages, but doesn't discuss that aspect of the mechanism beyond ...
2009-10-21
29 Robert Sparks [Ballot Position Update] New position, Discuss, has been recorded by Robert Sparks
2009-10-21
29 Adrian Farrel [Ballot Position Update] New position, No Objection, has been recorded by Adrian Farrel
2009-10-21
29 Adrian Farrel
[Ballot comment]
I agree with Lars on Blind retransmissions. The document seems to be ecouraging this and, while there is a configuration parameter noted, it ...
2009-10-21
29 Ron Bonica [Ballot Position Update] New position, No Objection, has been recorded by Ron Bonica
2009-10-21
29 Dan Romascanu
[Ballot comment]
In the text above '... implementes MAY consider ...' the MAY should not be capitalized to be consistent with the other 'may' statements ...
2009-10-21
29 Dan Romascanu
[Ballot discuss]
Section 4.2.2 offers the following option for implementing Reboot Session ID:

> In yet another way, implementers MAY consider
  using the snmpEngineBoots ...
2009-10-21
29 Dan Romascanu [Ballot Position Update] Position for Dan Romascanu has been changed to Discuss from No Objection by Dan Romascanu
2009-10-21
29 Dan Romascanu [Ballot Position Update] New position, No Objection, has been recorded by Dan Romascanu
2009-10-20
29 Ralph Droms [Ballot Position Update] New position, No Objection, has been recorded by Ralph Droms
2009-10-20
29 Russ Housley [Ballot Position Update] New position, No Objection, has been recorded by Russ Housley
2009-10-18
29 Alexey Melnikov
[Ballot comment]
4.2.8.  Signature

  This is a digital signature, encoded in base 64 per [RFC4648].  The
  signature is calculated over the completely formatted ...
2009-10-18
29 Alexey Melnikov
[Ballot discuss]
There is one point which is not entirely clear to me. So I would like to discuss it before recommending approval of this ...
2009-10-18
29 Alexey Melnikov [Ballot Position Update] New position, Discuss, has been recorded by Alexey Melnikov
2009-10-18
29 Alexey Melnikov
[Ballot comment]
4.2.8.  Signature

  This is a digital signature, encoded in base 64 per [RFC4648].  The
  signature is calculated over the completely formatted ...
2009-10-16
29 Lars Eggert
[Ballot comment]
Section 1., paragraph 6:
>    The mechanism described in this specification is intended to be used
>    in conjunction with the ...
2009-10-16
29 Lars Eggert
[Ballot discuss]
Section 3., paragraph 2:
>    For this
>    reason, syslog signer and collector implementations implementing this
>    specification MUST support ...
2009-10-16
29 Lars Eggert [Ballot Position Update] New position, Discuss, has been recorded by Lars Eggert
2009-10-16
29 Samuel Weiler Request for Telechat review by SECDIR is assigned to Tina Tsou
2009-10-16
29 Samuel Weiler Request for Telechat review by SECDIR is assigned to Tina Tsou
2009-10-14
29 Pasi Eronen Placed on agenda for telechat - 2009-10-22 by Pasi Eronen
2009-10-14
29 Pasi Eronen State Changes to IESG Evaluation from Waiting for Writeup::AD Followup by Pasi Eronen
2009-10-14
29 Pasi Eronen State Change Notice email list have been change to clonvick@cisco.com, ietfdbh@comcast.net, alex@cisco.com from clonvick@cisco.com
2009-10-14
29 Pasi Eronen [Ballot Position Update] New position, Yes, has been recorded for Pasi Eronen
2009-10-14
29 Pasi Eronen Ballot has been issued by Pasi Eronen
2009-10-14
29 Pasi Eronen Created "Approve" ballot
2009-10-14
29 (System) Sub state has been changed to AD Follow up from New Id Needed
2009-10-14
28 (System) New version available: draft-ietf-syslog-sign-28.txt
2009-09-18
29 Samuel Weiler Request for Last Call review by SECDIR Completed. Reviewer: Tina Tsou.
2009-09-17
29 Pasi Eronen State Changes to Waiting for Writeup::Revised ID Needed from Waiting for Writeup by Pasi Eronen
2009-09-15
29 (System) State has been changed to Waiting for Writeup from In Last Call by system
2009-09-11
29 Amanda Baber
IANA questions/comments:

- QUESTION: Can you confirm that all of the assignments in Action
1 should be listed as MANDATORY?

- NOTE: "IETF Consensus" should ...
2009-09-03
29 Samuel Weiler Request for Last Call review by SECDIR is assigned to Tina Tsou
2009-09-03
29 Samuel Weiler Request for Last Call review by SECDIR is assigned to Tina Tsou
2009-09-01
29 Amy Vezza Last call sent
2009-09-01
29 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2009-09-01
29 Pasi Eronen State Changes to Last Call Requested from AD Evaluation::AD Followup by Pasi Eronen
2009-09-01
29 Pasi Eronen Last Call was requested by Pasi Eronen
2009-09-01
29 (System) Ballot writeup text was added
2009-09-01
29 (System) Last call text was added
2009-09-01
29 (System) Ballot approval text was added
2009-08-31
29 (System) Sub state has been changed to AD Follow up from New Id Needed
2009-08-31
27 (System) New version available: draft-ietf-syslog-sign-27.txt
2009-08-27
29 Pasi Eronen State Changes to AD Evaluation::Revised ID Needed from AD Evaluation::AD Followup by Pasi Eronen
2009-08-27
29 Pasi Eronen Note field has been cleared by Pasi Eronen
2009-05-27
29 (System) Sub state has been changed to AD Follow up from New Id Needed
2009-05-27
26 (System) New version available: draft-ietf-syslog-sign-26.txt
2009-04-06
29 Pasi Eronen State Changes to AD Evaluation::Revised ID Needed from AD Evaluation::AD Followup by Pasi Eronen
2009-03-30
29 (System) Sub state has been changed to AD Follow up from New Id Needed
2009-03-30
25 (System) New version available: draft-ietf-syslog-sign-25.txt
2009-02-05
29 Pasi Eronen State Changes to AD Evaluation::Revised ID Needed from AD Evaluation::AD Followup by Pasi Eronen
2008-12-10
29 (System) Sub state has been changed to AD Follow up from New Id Needed
2008-12-10
24 (System) New version available: draft-ietf-syslog-sign-24.txt
2008-07-24
29 Pasi Eronen State Changes to AD Evaluation::Revised ID Needed from AD Evaluation by Pasi Eronen
2008-07-24
29 Pasi Eronen State Change Notice email list have been change to clonvick@cisco.com from <clonvick@cisco.com>
2008-07-22
29 Pasi Eronen State Changes to AD Evaluation from Publication Requested by Pasi Eronen
2008-03-18
29 Pasi Eronen Responsible AD has been changed to Pasi Eronen from Sam Hartman
2008-01-04
29 Dinara Suleymanova
PROTO Write-up

1.a) Have the chairs personally reviewed this version of
the Internet Draft (ID), and in particular, do they believe this
ID is ready ...
2008-01-04
29 Dinara Suleymanova State Changes to Publication Requested from AD is watching by Dinara Suleymanova
2008-01-04
29 Dinara Suleymanova Intended Status has been changed to Proposed Standard from None
2007-10-04
23 (System) New version available: draft-ietf-syslog-sign-23.txt
2007-07-08
22 (System) New version available: draft-ietf-syslog-sign-22.txt
2007-03-21
29 Russ Housley Responsible AD has been changed to Sam Hartman from Steve Bellovin
2007-03-20
21 (System) New version available: draft-ietf-syslog-sign-21.txt
2006-12-11
20 (System) New version available: draft-ietf-syslog-sign-20.txt
2006-09-25
19 (System) New version available: draft-ietf-syslog-sign-19.txt
2006-05-26
18 (System) New version available: draft-ietf-syslog-sign-18.txt
2005-11-29
17 (System) New version available: draft-ietf-syslog-sign-17.txt
2005-05-23
16 (System) New version available: draft-ietf-syslog-sign-16.txt
2004-11-23
15 (System) New version available: draft-ietf-syslog-sign-15.txt
2004-04-05
14 (System) New version available: draft-ietf-syslog-sign-14.txt
2003-10-27
13 (System) New version available: draft-ietf-syslog-sign-13.txt
2003-08-22
12 (System) New version available: draft-ietf-syslog-sign-12.txt
2003-05-29
11 (System) New version available: draft-ietf-syslog-sign-11.txt
2003-04-07
10 (System) New version available: draft-ietf-syslog-sign-10.txt
2003-02-26
09 (System) New version available: draft-ietf-syslog-sign-09.txt
2002-12-16
08 (System) New version available: draft-ietf-syslog-sign-08.txt
2002-10-21
29 Steven Bellovin Draft Added by bellovin
2002-07-25
07 (System) New version available: draft-ietf-syslog-sign-07.txt
2002-04-25
06 (System) New version available: draft-ietf-syslog-sign-06.txt
2002-04-08
05 (System) New version available: draft-ietf-syslog-sign-05.txt
2002-01-24
04 (System) New version available: draft-ietf-syslog-sign-04.txt
2001-09-24
03 (System) New version available: draft-ietf-syslog-sign-03.txt
2001-09-10
02 (System) New version available: draft-ietf-syslog-sign-02.txt
2001-06-04
01 (System) New version available: draft-ietf-syslog-sign-01.txt
2001-01-02
00 (System) New version available: draft-ietf-syslog-sign-00.txt